package com.ho.business.mapper;

import com.ho.business.entity.StationSn;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
* @author yule
* @description 针对表【station_sn】的数据库操作Mapper
* @createDate 2023-02-16 11:04:52
* @Entity com.ho.business.entity.StationSn
*/
@Mapper
public interface StationSnMapper {

    int deleteByPrimaryKey(Long id);

    int insert(StationSn record);

    int insertSelective(StationSn record);

    StationSn selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(StationSn record);

    int updateByPrimaryKey(StationSn record);

    void insertSNList(List<StationSn> stationSnList);

    void deleteByStationIds(List<Integer> ids);

    List<StationSn> selectByStationId(Integer stationId);

    StationSn selectBySn(String sn);

    List<StationSn> selectBySnList(List<String> snList);

    List<StationSn> selectByStationIds(List<Integer> stationIds);
}
